%define version 3.1.0
%define rel 4
%define release %mkrel %{?pre:0.%{pre}.%{rel}}%{?!pre:%{rel}}

Summary:	A program for synchronizing files over a network
Name:		rsync
Version: 	%version
Release:	%release
Group:		Networking/File transfer
URL:		http://rsync.samba.org/
Source0:	http://rsync.samba.org/ftp/rsync/%{name}-%{version}%{?pre}.tar.gz
Source1:	http://rsync.samba.org/ftp/rsync/rsync.html
Source2:	http://rsync.samba.org/ftp/rsync/rsyncd.conf.html
Source4:	http://rsync.samba.org/ftp/rsync/%{name}-%{version}%{?pre}.tar.gz.asc
Source5:	http://rsync.samba.org/ftp/rsync/%{name}-patches-%{version}%{?pre}.tar.gz
Source6:	http://rsync.samba.org/ftp/rsync/%{name}-patches-%{version}%{?pre}.tar.gz.asc
Source12: rsyncd.socket
Source13: rsyncd.service
Source14: rsyncd.conf
Source15: rsyncd.sysconfig
Patch0:		rrsync-bug-3.0.0.patch
License:	GPLv3+
BuildRequires:	popt-devel
BuildRequires:	libacl-devel
Buildrequires:	zlib-devel
BuildRequires:	acl

%define apply_patches 1

%{?_with_patches:%define apply_patches 1}
%{?_without_patches:%define apply_patches 0}

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

Install rsync if you need a powerful mirroring program.
%if %apply_patches
This rpm has these patches applied from rsync tree:
  - acl: allow to mirror acl

Rebuild the source rpm with `--without patches' if you don't  want these patches
%endif

%prep
%setup -q -n %{name}-%{version}%{?pre}
%patch0 -p0 -b .rrsync
%if %apply_patches
%setup -q -D -b 5 -n %{name}-%{version}%{?pre}
%__patch -p1 -b -z .dir-del < patches/backup-dir-dels.diff
%__patch -p1 -b -z .acl < patches/acls.diff
%endif

%build
%__autoconf
%__autoheader
%serverbuild
rm -f config.h

%configure2_5x \
    --enable-acl-support \
    --with-nobody-group=nogroup \
    --without-included-zlib

%make proto
%make

%check
make test

%install
%makeinstall_std

install -m644 %{SOURCE1} %{SOURCE2} .

install -D -m644 %{SOURCE12} $RPM_BUILD_ROOT/%{_unitdir}/rsyncd.socket
install -D -m644 %{SOURCE13} $RPM_BUILD_ROOT/%{_unitdir}/rsyncd.service
install -D -m644 %{SOURCE14} $RPM_BUILD_ROOT/%{_sysconfdir}/rsyncd.conf
install -D -m644 %{SOURCE15} $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/rsyncd

%files
%doc tech_report.tex README *html NEWS OLDNEWS
%doc support/rrsync
%{_bindir}/rsync
%{_mandir}/man1/rsync.1*
%{_mandir}/man5/rsyncd.conf.5*
%config(noreplace) %{_sysconfdir}/rsyncd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/rsyncd
%{_unitdir}/rsyncd.socket
%{_unitdir}/rsyncd.service


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 3.1.0-4.mga4
+ Revision: 538428
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 fwang <fwang> 3.1.0-3.mga4
+ Revision: 489596
- update man pages in html format

* Mon Sep 30 2013 fwang <fwang> 3.1.0-2.mga4
+ Revision: 489426
- update file list
- sync with fedora to use systemd settings for rsyncd
- use makeinstall_std
- cleanup spec

* Mon Sep 30 2013 fwang <fwang> 3.1.0-1.mga4
+ Revision: 489417
- new version 3.1.0

* Mon Jan 14 2013 umeabot <umeabot> 3.0.9-2.mga3
+ Revision: 380540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 24 2011 fwang <fwang> 3.0.9-1.mga2
+ Revision: 147169
- new version 3.0.9

* Sat Apr 02 2011 ahmad <ahmad> 3.0.8-1.mga1
+ Revision: 79830
- update to 3.0.8
- don't disable lutime:
  o we have a recent enough kernel/glibc (and ideally Mageia doesn't officially
    support upgrading from 2008.x)
  o upstream now falls back to utime if lutime function is not around on the system

  + nanardon <nanardon>
    - kill mandriva reference
    - imported package rsync


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.7-2mdv2011.0
+ Revision: 607379
- rebuild

  + Michael Scherer <misc@mandriva.org>
    - fix License

* Fri Jan 01 2010 Funda Wang <fwang@mandriva.org> 3.0.7-1mdv2010.1
+ Revision: 484808
- new version 3.0.7

* Tue May 12 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.6-1mdv2010.0
+ Revision: 374977
- update to new version 3.0.6

* Sat Jan 03 2009 Olivier Thauvin <nanardon@mandriva.org> 3.0.5-1mdv2009.1
+ Revision: 323612
- 3.0.5

* Mon Dec 01 2008 Olivier Thauvin <nanardon@mandriva.org> 3.0.4-2mdv2009.1
+ Revision: 308829
- provide rrsync in %%doc
- Patch0: new options not handle by the rrsync script

* Sun Sep 07 2008 Frederik Himpe <fhimpe@mandriva.org> 3.0.4-1mdv2009.0
+ Revision: 282417
- Update to new version 3.0.4

  + Olivier Thauvin <nanardon@mandriva.org>
    - add NEWS, OLDNEWS as doc files

* Mon Jun 30 2008 Olivier Thauvin <nanardon@mandriva.org> 3.0.3-1mdv2009.0
+ Revision: 230334
- 3.0.3

* Sat Apr 12 2008 Olivier Thauvin <nanardon@mandriva.org> 3.0.2-1mdv2009.0
+ Revision: 192620
- 3.0.2 (security fix)

* Wed Mar 19 2008 Olivier Thauvin <nanardon@mandriva.org> 3.0.0-4mdv2008.1
+ Revision: 189063
- revert last change, broken patch, and anyway there's nothing to avoid issue w/o breaking rsync, -e is not used on server side anyway

* Wed Mar 19 2008 Olivier Thauvin <nanardon@mandriva.org> 3.0.0-3mdv2008.1
+ Revision: 188985
- avoid -e call on server because some ssh can have restriction on it (ask by blino)

* Mon Mar 10 2008 Olivier Thauvin <nanardon@mandriva.org> 3.0.0-2mdv2008.1
+ Revision: 183191
- fix segfault (#38730)

* Sun Mar 02 2008 Olivier Thauvin <nanardon@mandriva.org> 3.0.0-1mdv2008.1
+ Revision: 177527
- 3.0.0 final

* Wed Feb 20 2008 Olivier Thauvin <nanardon@mandriva.org> 3.0.0-0.pre10.1mdv2008.1
+ Revision: 173168
- 3.0.0 pre10
- update html page

* Mon Feb 11 2008 Olivier Thauvin <nanardon@mandriva.org> 3.0.0-0.pre9.1mdv2008.1
+ Revision: 165088
- 3.0.0 pre9

* Wed Feb 06 2008 Olivier Thauvin <nanardon@mandriva.org> 3.0.0-0.pre8.2mdv2008.1
+ Revision: 163178
- put back dir-del patch
- kill the log_on_failure USERID making xinetd performing a useless ident request

* Sat Jan 12 2008 Olivier Thauvin <nanardon@mandriva.org> 3.0.0-0.pre8.1mdv2008.1
+ Revision: 150064
- 3.0.0 pre8

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Olivier Thauvin <nanardon@mandriva.org> 3.0.0-0.pre7.1mdv2008.1
+ Revision: 121645
- 3.0.0pre7

* Wed Nov 28 2007 Olivier Thauvin <nanardon@mandriva.org> 3.0.0-0.pre6.0.1mdv2008.1
+ Revision: 113711
- 3.0.0 pre6

* Sat Nov 10 2007 Olivier Thauvin <nanardon@mandriva.org> 3.0.0-0.pre5.1mdv2008.1
+ Revision: 107440
- 3.0.0 pre5
- prepare work for pre release

* Sun Aug 26 2007 Olivier Thauvin <nanardon@mandriva.org> 2.6.9-5mdv2008.0
+ Revision: 71493
- fix #32654, eg disable lutimes()

* Sun Aug 19 2007 Olivier Thauvin <nanardon@mandriva.org> 2.6.9-4mdv2008.0
+ Revision: 66537
- CVE-2007-4091

* Wed Aug 15 2007 Olivier Thauvin <nanardon@mandriva.org> 2.6.9-3mdv2008.0
+ Revision: 63600
- fix --acls + --delete (#32411)

* Thu Jun 28 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.9-2mdv2008.0
+ Revision: 45571
- rebuild with new serverbuild macro (-fstack-protector-all)


* Tue Nov 07 2006 Olivier Thauvin <nanardon@mandriva.org> 2.6.9-1mdv2007.0
+ Revision: 77064
- 2.6.9
- kill draksync patch (still need ?)
- disable dir-del patch, conflict with the acl one

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org> 2.6.8-3mdv2007.0
+ Revision: 53196
- ensure rsync is build with acl
- don't perform test on the cluster (see comment)
- remove changelog
- add patch to force nobody's group (#21340)
- inital rsync import

* Sun Jun 18 2006 Olivier Thauvin <nanardon@mandriva.org> 2.6.8-2mdv2007.0
- add patch to force nobody's group (#21340)

* Sun Apr 23 2006 Olivier Thauvin <nanardon@mandriva.org> 2.6.8-1mdk
- 2.6.8

* Fri Mar 17 2006 Olivier Thauvin <nanardon@mandriva.org> 2.6.7-2mdk
- path1: fix exclude with relative path (patch from rsync author)

* Sat Mar 11 2006 Olivier Thauvin <nanardon@mandriva.org> 2.6.7-1mdk
- 2.6.7

* Fri Jul 29 2005 Olivier Thauvin <nanardon@mandriva.org> 2.6.6-1mdk
- 2.6.6
- remove patch1, no longer need
- add --with --w/o patches options
- don't apply patches, test failed with acl patches (reported on the ML)

* Fri Jun 10 2005 Frederic Lepied <flepied@mandriva.com> 2.6.5-2mdk
- removed patch2 (not needed)

* Fri Jun 10 2005 Frederic Lepied <flepied@mandriva.com> 2.6.5-1mdk
- rediff patch2
- new release

* Thu Jun 09 2005 Olivier Thauvin <nanardon@mandriva.org> 2.6.4-2mdk
- apply 2 patches provide by rsync
- so fix #13854

* Thu May 05 2005 Olivier Thauvin <nanardon@mandriva.org> 2.6.4-1mdk
- 2.6.4
- make test in %%check

* Wed Nov 17 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.6.3-1mdk
- 2.6.3 final

* Thu Aug 19 2004 Warly <warly@mandrakesoft.com> 2.6.3-0.pre1.1mdk
- new version to fix security issue

* Mon Jun 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.2-2mdk
- security fix for CAN-2004-0426 (patch3) (Stew Benedict)
- misc spec file fixes

* Sun May 30 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.6.2-1mdk
- 2.6.2
- P2 from fedora:
	o Backport fix for crasher when passing multiple directories of the same
	  length (bug #123708)
- spec cosmetics

* Thu Jan 08 2004 Warly <warly@mandrakesoft.com> 2.6.0-1mdk
- new version

* Thu Dec 04 2003 Warly <warly@mandrakesoft.com> 2.5.7-1mdk
- new version (security fix)

